varying vec3 posVS;
varying vec3 normal;
varying vec3 pos;

uniform float emissive;
uniform float glow;

void main(void)
{
	gl_FragData[0] = gl_Color;
	gl_FragData[1] = vec4(normalize(normal), emissive);
	gl_FragData[2] = vec4(posVS.xyz, glow);
}
